Page MenuHomeMiraheze

Deploy MediaModeration
Open, Stalled, LowPublic

Description

With MW1.35, We can deploy https://www.mediawiki.org/wiki/Extension:MediaModeration. This works with an API to scan uploaded images to detect and warn about issues with Child Pornorgaphy, Terrorist Content and other potentially illegal images.

It is security approved as WMF deployed and @Owen has confirmed that from a legal stance it's fine and emails can be sent to him.

We need a key for the API before doing this so tagging Site Reliability Engineering to add it to PS.php

Please stall and pass back to me when they key is added.

Event Timeline

RhinosF1 created this task.
Reception123 changed the task status from Open to Stalled.Jul 4 2020, 09:45

Stalling until MW 1.35 is actually released.

Universal_Omega raised the priority of this task from Low to Normal.Oct 27 2020, 00:38

Assigning this to @Owen as it requires registering on https://www.microsoft.com/en-us/photodna which needs company details and so it's best for someone representing the company to fill it in

I did that with Owen months ago. Sorting it out.

Application is under review

Would it be possible to disable MediaModeration on specific wiki ?

Would it be possible to disable MediaModeration on specific wiki ?

No, It's there for legal reasons and any detected issue is sent to @Owen

Reception123 changed the task status from Open to Stalled.Dec 26 2020, 15:29

Stalling this as we are currently waiting for a response from Microsoft for a PhotoDNA key.

Universal_Omega lowered the priority of this task from Normal to Low.Dec 26 2020, 18:48

@Reception123: any progress on this?

We're still in review as far as I can see

This is honestly amazing that this exists!

AFAIK, this still needs the API key. Moving out of the general column for accepted extensions.